#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 33. GNOME Libraries and Desktop

- Prev

  gnome-shell-extensions-50.1

- Next

  gnome-tweaks-49.0

- Up
- Home

# gnome-session-50.0

## Introduction to GNOME Session

The GNOME Session package contains the GNOME session manager.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/gnome-session/50/gnome-session-50.0.tar.xz

- Download MD5 sum: 9c14ac6880cbc6ebaf8f573e25d94c35

- Download size: 392 KB

- Estimated disk space required: 7.6 MB

- Estimated build time: less than 0.1 SBU

### GNOME Session Dependencies

#### Required

gnome-desktop-44.5, JSON-GLib-1.10.8, Mesa-26.0.1, Systemd-260.1 (runtime), and UPower-1.91.2

#### Optional

xmlto-0.0.29, and libxslt-1.1.45 with docbook-xml-4.5 and docbook-xsl-nons-1.79.2 (to build the documentation)

## Installation of GNOME Session

Install GNOME Session by running the following commands:

    mkdir build &&
    cd    build &&

    meson setup --prefix=/usr              \
                --buildtype=release        \
                -D man=false               \
                -D docbook=false           \
                ..                         &&
    ninja

This package does not come with a test suite.

Now, as the `root` user:

    ninja install

If you generated the documentation, move it to a versioned directory:

    mv -v /usr/share/doc/gnome-session{,-50.0}

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

`-D man=false -D docbook=false`: These parameters disable building documentation. Omit them if you have built the optional dependencies.

`-D x11=true`: This option enables support for X11 sessions. X11 support is deprecated and will be removed in GNOME 50.

## Starting GNOME

The easiest way to start GNOME is to use a display manager. GDM-50.0 is the recommended display manager.

It is also possible to start GNOME from the command line. However, you must still have GDM-50.0 installed for the desktop to work. In previous releases of GNOME, gnome-shell would start without it installed, but this changed in 48.0. GDM does not need to be enabled to start gnome-shell from the command line.

To start GNOME without a display manager you need to determine your session ID, using loginctl. Once it is done, issue (we suppose the session ID is 1):

    systemctl --user set-environment XDG_SESSION_TYPE=wayland XDG_SESSION_ID=1 &&
    systemctl --user start gnome-session@gnome.target

## Contents

Installed Programs: gnome-session, gnome-session-inhibit, and gnome-session-quit
Installed Libraries: None
Installed Directories: /usr/share/doc/gnome-session-50.0 and /usr/share/gnome-session

### Short Descriptions

gnome-session | is used to start up the GNOME Desktop environment
gnome-session-inhibit | is used to inhibit certain GNOME Session functionality while executing the given command
gnome-session-quit | is used to end the GNOME Session

- Prev

  gnome-shell-extensions-50.1

- Next

  gnome-tweaks-49.0

- Up
- Home